Subject: Re: bug#57639: [PATCH] Add new command 'toggle-theme'

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 11 Sep 2022 13:54:01 +0200

Philip Kaludercic <[email-masked]> writes:

>> Code exists for both Windows and Macos in the bug tracker somewhere, but
>> haven't been integrated yet because nobody has sat down to make a
>> consistent interface across all the platforms.
>
> What about GNU/Linux desktops?

I thought we already had support for this under Gtk?  But I may be
misremembering.

> Stefans Gruvbox example had multiple dark and light variants.  E.g.
> Would the new command toggle from `gruvbox-dark-soft' to
> `gruvbox-dark-light' or prompt the user to select from all the gruvbox
> themes?

Yes, but if you have the soft gruvbox active, you don't want to switch
to the hard one when changing between dark/light, so there's no ambiguity.

>> But now I see that you've pushed `toggle-theme'...  *sigh*
>
> I'm very sorry about that, I've reverted those commits, since they were
> accidentally pushed!

*phew*  Thanks.  😀